CREATE DATABASE PPM_JASPERSOFT
	ON ( NAME = N'PPM_JASPERSOFT', 
	     FILENAME = N'E:\Databases\PPM_JASPERSOFT.mdf', 
	     SIZE = 102400KB, MAXSIZE = UNLIMITED , FILEGROWTH = 50% )
	LOG ON ( NAME = N'PPM_JASPERSOFT_log', 
	     FILENAME = N'E:\Databases\PPM_JASPERSOFT.ldf', 
	     SIZE = 5120KB, MAXSIZE = UNLIMITED , FILEGROWTH = 50% )


use PPM_JASPERSOFT
/

alter database ppm_jaspersoft set recovery simple


-- Permit the login account to map to the database user name
sp_grantdbaccess @loginame = 'ppm_jaspersoft', @name_in_db = 'ppm_jaspersoft'
/
exec sp_addrolemember 'db_owner', 'PPM_JASPERSOFT'
-- Make sure the database user name has sufficient permissions to its own database
sp_addrolemember @rolename = 'db_owner', @membername = 'ppm_jaspersoft'

/
IF (SELECT (CAST(LEFT(CAST(SERVERPROPERTY('ProductVersion') AS VARCHAR(20)), CHARINDEX('.', CAST(SERVERPROPERTY('ProductVersion') AS VARCHAR(20)), 1) - 1) AS INTEGER))) = 10
BEGIN
exec sp_dbcmptlevel 'PPM_JASPERSOFT', @new_cmptlevel=100
END
IF (SELECT (CAST(LEFT(CAST(SERVERPROPERTY('ProductVersion') AS VARCHAR(20)), CHARINDEX('.', CAST(SERVERPROPERTY('ProductVersion') AS VARCHAR(20)), 1) - 1) AS INTEGER))) = 11
BEGIN
exec sp_dbcmptlevel 'PPM_JASPERSOFT', @new_cmptlevel=110
END


